From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 17 November 2009<P>

b.k., thanks for the Saturday birthday wishes :)<BR>
<BR>
The new front page picks are a treat. Congrats to everyone for a month of enjoyable reading. I've felt inspired enough to want to bump some of these works, but just haven't had the energy to get there so far.<BR>
<BR>
Camelia, my Captain lived in Cuba. I've lived as far south as Miami (Coral Gables). But we have both lived and been able to travel a number of places. Cuba was the one place that Capt stated he "loved" due to the beauty of the place and the people. His photos back this up. But he is a private man, and that is all I will share on the subject. I enjoy your work, btw ...... Rennie 
<HR>